package com.zjrs.ggfw.rlzysc.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.dto.common.PageDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.*;
import com.zjrs.ggfw.rlzysc.po.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.util.List;
import java.util.Map;

public interface GrqzBLO extends IBLO {
    //获取岗位信息列表
    public PageResult queryGwxxList(GrqzGwxxQueryDTO dto, int page, int rows);
    //删除岗位信息
    public void deleteGwxx(String id);
    //头像上传
    public void uploadPhoto(GrqzGrtxUploadDTO dto);
    //头像查询
    public JlxxPO queryPhoto(GrqzGrxxQueryDTO dto);
    //视频上传
    public void uploadVideo(GrqzGrspUploadDTO dto);
    //视频查询
    public JlxxPO queryVideo(GrqzGrxxQueryDTO dto);
    //关注公司列表
    public PageResult queryGzgsList(GrqzGzgsQueryDTO dto, int page, int rows);

    //关注公司
    public void addGzgs(GrqzGzgsDTO dto);
    //取消关注公司
    public void deleteGzgs(String id);
    //屏蔽设置列表
    public PageResult queryPbszList(GrqzPbszQueryDTO dto, int page, int rows);
    //新增屏蔽设置
    public void addPbsz(GrqzPbszDTO dto);
    //取消屏蔽设置
    public void deletePbsz(String id);
    //职业搜索器列表
    public PageResult queryZyssqList(GrqzZyssqDTO dto, int page, int rows);
    //新增职业搜索器
    public void addZyssq(GrqzZyssqDTO dto);
    //更新职业搜索器
    public void updateZyssq(GrqzZyssqDTO dto);
    //获取职业搜索器BYID
    public ZyssqPO getZyssqById(String id);
    //删除职业搜索器BYID
    public void deleteZyssqById(String id);
    //职业搜索器不能超过10
    public int countZyssq();

    PageResult getgzjyWhList(int page, int rows,JlxxWDTO dto);

    PageResult getjyjlWhList(int page, int rows,JlxxWDTO dto);

    PageResult getpxjlWhList(int page, int rows,JlxxWDTO dto);

    PageResult getzyjnWhList(int page, int rows,JlxxWDTO dto);

    PageResult getshzsWhList(int page, int rows,JlxxWDTO dto);

    PageResult getHjqkWhList(int page, int rows,JlxxWDTO dto);

    PageResult getZcqkWhList(int page, int rows,JlxxWDTO dto);

    void deleteById(String id);

    void deleteJyjlById(String id);

    void deletePxjlById(String id);

    void deleteZyjnById(String id);

    void deleteShzsById(String id);

    void deleteHjqkById(String id);

    void deleteZcqkById(String id);

    RsRlzyGzjyPO saveGzjyXx(JlxxGzjyUDTO dto);

    RsRlzyJyjlPO saveJyjlXx(JlxxJyjlUDTO dto);

    RsRlzyPxjlPO savePxjlXx(JlxxPxjlUDTO dto);

    RsRlzyZyjnPO saveZyjnXx(JlxxZyjnUDTO dto);

    RsRlzyShzsPO saveShzsXx(JlxxShzsUDTO dto);

    RsRlzyHjqkPO saveHjqkXx(JlxxHjqkUDTO dto);

    RsRlzyZcqkPO saveZcqkXx(JlxxZcqkUDTO dto);

    void deleteGzjyWhById(SelectJlxxDTO dto);

    void deleteJyjlWhById(SelectJlxxDTO dto);

    void deletePxjlWhById(SelectJlxxDTO dto);

    void deleteZyjnWhById(SelectJlxxDTO dto);

    void deleteShzsWhById(SelectJlxxDTO dto);

    void deleteHjqkWhById(SelectJlxxDTO dto);

    void deleteZcqkWhById(SelectJlxxDTO dto);

    Map getJlgzjy(ZjQueryDTO dto);
    Map getJljyjl(ZjQueryDTO dto);
    Map getJlpxjl(ZjQueryDTO dto);
    Map getJlzyjn(ZjQueryDTO dto);
    Map getJlshzs(ZjQueryDTO dto);
    Map getJlhjqk(ZjQueryDTO dto);
    Map getJlzcqk(ZjQueryDTO dto);
    public PageResult getMyJlxxlist(PageDTO dto);
    public PageResult getMyJlxxMrlist(PageDTO dto);
    public void deleteMyJlxx(String id);
    public void updateMyJlmrzt(MrjlUDTO dto);
    public void copyMyJlxx(CopyJlDTO dto) throws Exception;
    public void exportMyJlxx(ExportJlDTO dto, HttpServletResponse res) throws IllegalAccessException, IOException, InvocationTargetException;
    public Map getJlxx(JltotalDTO dto);
    public JlxxPO saveJljbxx(GrqzWdjlJbxxDTO dto);
    public JlxxPO saveJljbxx(GrJlxxDTO dto);
    public Map getJljbxx(JljbxxDTO dto);
    public Map getJljbxxForDw(ZjQueryDTO dto);
    public RsRlzyQzyxPO saveJlqzyx(GrqzWdjlQzyxDTO dto);
    public Map getJlqzyx(ZjQueryDTO dto);
    public Map getJlqzyxForDw(ZjQueryDTO dto);
    public void updateFbzt(ZjUDTO dto);
    public void toNwsh(ZjDTO dto);
    List<JlxxGzjyUDTO> getgzjyList(JlxxWhDTO dto);//获取工作经验列表
    List<JlxxJyjlUDTO> getjyjlList(JlxxWhDTO dto);//获取教育经历列表
    List<JlxxPxjlUDTO> getpxjlList(JlxxWhDTO dto);//获取培训经历列表
    List<JlxxZyjnUDTO> getzyjnList(JlxxWhDTO dto);//获取职业技能列表
    List<JlxxShzsUDTO> getshzsList(JlxxWhDTO dto);//获取所获证书列表
    List<JlxxHjqkUDTO> gethjqkList(JlxxWhDTO dto);//获取获奖情况列表
    List<JlxxZcqkUDTO> getzcqkList(JlxxWhDTO dto);//获取职称情况列表

    List<RsRlzyGzjyPO> getGzjyNrById(String id);//获取工作经验内容（过滤在当前简历已存在的工作经验信息）
    List<RsRlzyJyjlPO> getJyjlNrById(String id);
    List<RsRlzyPxjlPO> getPxjlNrById(String id);
    List<RsRlzyZyjnPO> getZyjnNrById(String id);
    List<RsRlzyShzsPO> getShzsNrById(String id);
    List<RsRlzyHjqkPO> getHjqkNrById(String id);
    List<RsRlzyZcqkPO> getZcqkNrById(String id);

    void addgzjynr(SelectJlxxDTO dto);//新增工作经验维护内容
    void addjyjlnr(SelectJlxxDTO dto);
    void addpxjlnr(SelectJlxxDTO dto);
    void addzyjnnr(SelectJlxxDTO dto);
    void addshzsnr(SelectJlxxDTO dto);
    void addhjqknr(SelectJlxxDTO dto);
    void addzcqknr(SelectJlxxDTO dto);

    public List<RsRlzyZwxxPO> getZwzntjList();//智能推荐职位
    public List<RsRlzyZwxxPO> getRgtjzw();//人工推荐职位
    public int getGzgsNum(); //统计关注的公司数量
    public int getSczwNum(); //统计收藏的公司数量
    public int getSqzwNum(); //统计申请职位的数量

    public void getSczw(GrqzSczwDTO dto);//收藏职位
    public void Sqzw(GrqzSczwDTO dto); //申请职位
    public void toGrspTjsh(DwTxSpQueryDTO dto); //提交个人视频审核
    public void toGrtxTjsh(DwTxSpQueryDTO dto); //提交个人头像审核
    public JlxxPO getMrjllsh();//获取用户的默认简历
    public JlxxPO getzxJlxx();//获取用户最新简历

    public Map getGrzxJljbxx(ZjQueryDTO dto1);//获取个人中心-简历简本信息
}

